import { Company, ContestInfo, SimpleProblemInfoInContest } from "../utils/interfaces";
import Problem from "./problem";
declare class Contest {
    readonly slug: string;
    contest?: ContestInfo | undefined;
    questions?: SimpleProblemInfoInContest[] | undefined;
    user_num?: number | undefined;
    has_chosen_contact?: boolean | undefined;
    company?: Company | undefined;
    registered?: boolean | undefined;
    containsPremium?: boolean | undefined;
    static getWeeklyContestSlug(id: number): string;
    static getBiweeklyContestSlug(id: number): string;
    constructor(slug: string, contest?: ContestInfo | undefined, questions?: SimpleProblemInfoInContest[] | undefined, user_num?: number | undefined, has_chosen_contact?: boolean | undefined, company?: Company | undefined, registered?: boolean | undefined, containsPremium?: boolean | undefined);
    static build(slug: string): Promise<Contest>;
    detail(): Promise<Contest>;
    getProblems(): Promise<Array<Problem>>;
}
export default Contest;
